Bug 465996 - Producing a callgraph with opreport fails
Producing a callgraph with opreport fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: oprofile (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Cohen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 13:23 EDT by Ben Gamari
Modified: 2009-12-18 01:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:31:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Gamari 2008-10-07 13:23:27 EDT
Description of problem:
On x86-64 trying to produce a callgraph with opreport -c seems to fail. Seems to be oprofile ticket 1685267 (https://sourceforge.net/tracker/?func=detail&atid=116191&aid=1685267&group_id=16191)

$ opcontrol --init
$ opcontrol --start
[Do stuff to profile, in my case try moving a blender tool pane]
$ opcontrol --stop
Stopping profiling.
$ opreport
CPU: Core 2, speed 800 MHz (estimated)
Counted CPU_CLK_UNHALTED events (Clock cycles when not halted) with a unit mask of 0x00 (Unhalted core cycles) count 100000
CPU_CLK_UNHALT...|
  samples|      %|
------------------
  1096784 84.0824 no-vmlinux
    38211  2.9294 oprofiled
    24289  1.8621 libc-2.8.90.so
    21284  1.6317 libxul.so
    20466  1.5690 libmork.so
     9718  0.7450 libpulsecore.so.8.0.0.#prelink#.nWQXpu (deleted)
     9035  0.6926 libpthread-2.8.90.so
     8169  0.6263 libmad.so.0.2.1
     6829  0.5235 libglib-2.0.so.0.1800.1
     5571  0.4271 libgobject-2.0.so.0.1800.1
     5529  0.4239 Xorg
	CPU_CLK_UNHALT...|
	  samples|      %|
	------------------
	     5498 99.4393 Xorg
	       31  0.5607 [vdso] (tgid:2528 range:0x7fff089a3000-0x7fff089a4000)
     4916  0.3769 libgstreamer-0.10.so.0.18.0
...
$ opreport -c
[1304 ben@mercury ~] $ opreport -c
opreport error: parse_filename() invalid filename: /var/lib/oprofile/samples/current/{root}/var/lib/oprofile/samples/current/{root}/usr/bin/Xorg/{dep}/{anon:[vdso]}/2528.0x7fff089a3000.0x7fff089a4000/CPU_CLK_UNHALTED.100000.0.all.all.all/{dep}/{root}/var/lib/oprofile/samples/current/{root}/usr/bin/Xorg/{dep}/{anon:[vdso]}/2528.0x7fff089a3000.0x7fff089a4000/CPU_CLK_UNHALTED.100000.0.all.all.all/{cg}/{root}/usr/bin/oprofiled/CPU_CLK_UNHALTED.100000.0.all.all.all



Version-Release number of selected component (if applicable):
oprofile-0.9.4-3.fc10
kernel-2.6.27-0.393.rc8.git7
Comment 1 Ben Gamari 2008-10-07 13:31:27 EDT
Annoyingly, oparchive apparently doesn't work either,
$ oparchive -l
oparchive error: parse_filename() invalid filename: /var/lib/oprofile/samples/current/{root}/var/lib/oprofile/samples/current/{root}/usr/bin/Xorg/{dep}/{anon:[vdso]}/2528.0x7fff089a3000.0x7fff089a4000/CPU_CLK_UNHALTED.100000.0.all.all.all/{dep}/{root}/var/lib/oprofile/samples/current/{root}/usr/bin/Xorg/{dep}/{anon:[vdso]}/2528.0x7fff089a3000.0x7fff089a4000/CPU_CLK_UNHALTED.100000.0.all.all.all/{cg}/{root}/usr/bin/oprofiled/CPU_CLK_UNHALTED.100000.0.all.all.all
Comment 2 Bug Zapper 2008-11-25 22:38:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ben Gamari 2008-12-25 13:01:50 EST
Note that the patch on the referenced upstream bug does fix the problem. Please apply this patch to the oprofile package. We have been without a functional profiler for far too long.
Comment 4 William Cohen 2009-01-21 09:45:12 EST
The patch in the upstream bug entry (http://sourceforge.net/tracker/index.php?func=detail&aid=1685267&group_id=16191&atid=116191) is not in the upstream code repository.

The general approach is to get the fix in the upstream code and then backport to the rpm package to minimize divergence. Otherwise it can become very difficult to apply future patches from upstream fixes.
Comment 5 Ben Gamari 2009-02-05 11:52:16 EST
I understand your reluctance to apply this patch, but it is quite clear that upstream has no interest in actually making their software work. This bug has been open for almost two years and yet despite a workaround patch, there has been no attempt to actually fix or even work-around the issue in the upstream repository.

Claiming that applying this patch makes maintenance difficult is no reason not to apply the patch. As it stands, the oprofile packages shipped with Fedora are entirely useless to a good number of people. Maintainability is irrelevant if the packages are useless to begin with.
Comment 6 bcbarnes 2009-03-25 00:49:20 EDT
Using Fedora 10 with all patches applied to-date, and I run into this problem.  A google search shows that Debian patched their package.  Perhaps we could get a patch applied in Fedora, too?

Does this bug exist in Fedora 11?  If so, should the bugzilla entry be updated?  This would be nice to fix before F11 turns into RHEL6.  oprofile is an excellent tool.  Thanks!

Linux hackworth 2.6.27.19-170.2.35.fc10.x86_64 #1 SMP Mon Feb 23 13:00:23 EST 2009 x86_64 x86_64 x86_64 GNU/Linux
Fedora release 10 (Cambridge)
oprofile-0.9.4-3.fc10.x86_64
oprofile-gui-0.9.4-3.fc10.x86_64
Comment 7 Bug Zapper 2009-11-18 03:31:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:31:29 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.